<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<%@ page contentType="text/html;charset=windows-1252"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/extensions" prefix="t"%>
<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type"
                  content="text/html; charset=windows-1252"/>
            <title>LibraryTree</title>
        </head>
        <body><h:form>
                <t:tree2 id="serverTree"
                         value="#{LibraryTreeHandler.treeModel.treeData}"
                         var="node" varNodeToggler="t" clientSideToggle="false">
                    <f:facet name="book">
                        <h:panelGroup>
                            <t:graphicImage value="/images/yellow-folder-open.png"
                                            rendered="#{t.nodeExpanded}"
                                            border="0"/>
                            <t:graphicImage value="/images/yellow-folder-closed.png"
                                            rendered="#{!t.nodeExpanded}"
                                            border="0"/>
                            <h:outputText value="Book: "
                                          styleClass="nodeFolder"/>
                            <h:outputText value="#{node.description}"
                                          styleClass="nodeFolder"/>
                        </h:panelGroup>
                    </f:facet>
                    <f:facet name="author">
                        <h:panelGroup>
                            <t:graphicImage value="/images/yellow-folder-open.png"
                                            rendered="#{t.nodeExpanded}"
                                            border="0"/>
                            <t:graphicImage value="/images/yellow-folder-closed.png"
                                            rendered="#{!t.nodeExpanded}"
                                            border="0"/>
                            <h:outputText value="#{node.description}" />
                            <h:outputText value=" (Author)"
                                          styleClass="nodeFolder"/>
                        </h:panelGroup>
                    </f:facet>
                    <f:facet name="foo-folder">
                        <h:panelGroup>
                            <t:graphicImage value="/images/yellow-folder-open.png"
                                            rendered="#{t.nodeExpanded}"
                                            border="0"/>
                            <t:graphicImage value="/images/yellow-folder-closed.png"
                                            rendered="#{!t.nodeExpanded}"
                                            border="0"/>
                            <h:outputText value="#{node.description}"
                                          styleClass="nodeFolder"/>
                            <h:outputText value=" (#{node.childCount})"
                                          styleClass="childCount"
                                          rendered="#{!empty node.children}"/>
                        </h:panelGroup>
                    </f:facet>
                </t:tree2>
            </h:form></body>
    </html>
</f:view>